/* RoboFab Documents */
*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box; }

/* ---------- variables ---------- */
.shiftlink a:hover, #content a:hover, .row a:hover, .navbar a:hover, .footer a:hover, .column a:hover, .sphinxsidebar a:hover, #tocsidebar a:hover {
  position: relative;
  top: 1px;
  left: 1px; }

.debug, #content, .row, .navbar, .footer, .column, .sphinxsidebar, #tocsidebar {
  background-color: none; }

/* ---------- html ---------- */
body {
  width: 66em;
  padding: 0;
  margin: 0;
  font-family: Lucida Grande, Geneva, Arial, Verdana, sans-serif;
  font-size: 0.9em;
  line-height: 1.3em; }

p {
  margin-top: 0;
  padding: 0; }

hr {
  color: none;
  background-color: none;
  border: none;
  border-top: 1px dotted #aaaaaa;
  height: 1px;
  margin: 2em 0; }

pre, code, tt {
  font-family: "Menlo", "Andale Mono", "Monaco", "Consolas", "Courier";
  font-size: 0.97em;
  font-style: normal;
  font-weight: normal; }

::selection {
  color: #ff3300;
  background-color: none; }

a, a:active {
  text-decoration: none;
  color: #333399;
  font-style: normal; }

/* ---------- content ---------- */
#content {
  font-size: 0.9em;
  padding: 0 2em;
  margin: 0 0 5em 0;
  width: 42em;
  float: left; }
  #content h1, #content h2, #content h3 {
    font-family: Lucida Grande, Geneva, Arial, Verdana, sans-serif;
    color: #666666; }
  #content h1 {
    font-size: 1.4em;
    margin-top: 0;
    margin-bottom: 1em; }
  #content h2 {
    border-top: 1px dotted #aaaaaa;
    margin-top: 2em;
    padding-top: 0.5em;
    font-size: 1.24em;
    white-space: pre-wrap; }
  #content h3 {
    padding: 0;
    font-size: 1.1em; }
  #content ul, #content ol {
    margin-left: 1.35em;
    padding-left: 0; }
  #content ul {
    list-style: square; }
  #content code {
    padding: 0 0.05em;
    white-space: pre-line; }
  #content pre {
    background-color: #dddddd;
    padding: 1em;
    white-space: pre-wrap; }
  #content tt.docutils.literal {
    color: #333333;
    background-color: #dddddd; }
  #content p > em, #content li > em, #content dt > em, #content .reference {
    font-family: Georgia, serif;
    font-style: italic;
    font-size: 1.1em; }
  #content .highlight {
    background-color: None; }
  #content .downloadlink {
    margin-top: 0;
    margin-bottom: 1em; }
  #content .descname {
    padding: 0;
    font-weight: bold; }
  #content a.headerlink,
  #content a.headerlink:visited {
    visibility: hidden; }
  #content dt {
    font-weight: bold; }
  #content dd {
    margin: 0 0 1em 2em; }
  #content h1:hover > a.headerlink,
  #content h2:hover > a.headerlink,
  #content h3:hover > a.headerlink,
  #content h4:hover > a.headerlink,
  #content h5:hover > a.headerlink,
  #content h6:hover > a.headerlink {
    visibility: visible; }
  #content .note {
    padding: 0.6em 1em 0.8em;
    border: 1px dotted #aaaaaa; }
    #content .note p {
      margin: 0; }
    #content .note .admonition-title {
      font-weight: bold;
      color: #666666;
      margin-bottom: 0.4em; }

/* ---------- header ---------- */
#header {
  background-image: url("_img/drawmodel_header.jpg");
  background-repeat: no-repeat;
  background-position: 0 0;
  font-size: 1em;
  height: 8em;
  padding: 1em 1.4em;
  margin: 0;
  width: 100%; }
  #header #map-link {
    position: absolute;
    top: 2em;
    left: 42em; }

/* ---------- horizontal nav ---------- */
.row, .navbar, .footer {
  font-size: 0.8em;
  clear: both;
  width: 100%;
  padding-left: 2em; }

.navbar {
  border-bottom: 1px dotted #aaaaaa;
  padding: 0.1em 1.45em 1em;
  margin: 0 0 2em 0; }
  .navbar ul {
    margin: 0;
    padding: 0 1.6em 0 0;
    float: left; }
  .navbar li {
    display: inline;
    padding: 0 0.5em; }

.footer {
  border-top: 1px dotted #aaaaaa;
  padding-top: 1em;
  padding-bottom: 1em; }
  .footer p {
    margin-bottom: 0; }

/* ---------- vertical nav ---------- */
.column, .sphinxsidebar, #tocsidebar {
  margin: 0 0 5em 0;
  padding: 0 2em;
  float: left;
  width: 12em;
  font-size: 0.8em;
  line-height: 1.3em; }
  .column a:hover, .sphinxsidebar a:hover, #tocsidebar a:hover {
    background-color: #dddddd; }
  .column code, .sphinxsidebar code, #tocsidebar code {
    font-family: Lucida Grande, Geneva, Arial, Verdana, sans-serif; }
  .column ul, .sphinxsidebar ul, #tocsidebar ul {
    padding: 0;
    margin: 0 0 1em 0;
    list-style: none; }
  .column li, .sphinxsidebar li, #tocsidebar li {
    height: 1.5em; }
  .column h3, .sphinxsidebar h3, #tocsidebar h3, .column h4, .sphinxsidebar h4, #tocsidebar h4 {
    margin: 0.6em 0 0.4em;
    padding: 0;
    font-size: 1em;
    text-transform: lowercase; }
  .column ul + h3, .sphinxsidebar ul + h3, #tocsidebar ul + h3 {
    margin-top: 1em; }
  .column hr, .sphinxsidebar hr, #tocsidebar hr {
    margin: 0.6em;
    border-top: 1px dotted #aaaaaa; }
